Subject: Re: groff-1.10
From: [email-masked] (Morph)

3 Mar 1998 17:42:26 -0800
Message-ID: <006e01bd461d$b687f040$0f5fac98.cygnus.gnu-win32@jewell>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Larry Hall" <[email-masked]>
Cc: "Gnu-win32" <[email-masked]>

Cheers Larry, the notes below solved the problem, and I now understand more
about makes ;-)

Now I've hit the .exe suffix problem on make install, but I think I can
solve this one (had the same problem with ncurses-4.1)

Morph
-----Original Message-----
From: Larry Hall <[email-masked]>
To: Morph <[email-masked]>
Date: 02 March 1998 15:53
Subject: Re: groff-1.10

>I just commented these lines out of the makefile.  I'm not 100% sure what
>this is supposed to do for you but it appeared to be some "optional"
>wrappers around stuff and I took the fact that there was nothing in
>tmac_wrap to be an indication that I wasn't exercising this option!;-)
>Removing the two areas that had a for loop using tmac_wrap solved the
>install problem for me.
>
>Good luck!
>
>At 11:51 PM 3/1/98 -0000, you wrote:
>>Okay, with the help of various people on this list, I'm finally getting
>>somewhere :-)
>>
>>On Geoffery Noer's advice, I've persevered with make when trying to make
>>groff-1.10 after successfully installing termcap-1.3 - However, I was
>>wondering if anyone can tell me where I need to be looking to fix the
>>following crash by make? -
>>
>>make[2]: Nothing to be done for `all'.
>>if test -n ""; then \
>>  for m in ; do \
>>    rm -f $m-wrap; \
>>    echo .cp 1 >$m-wrap; \
>>    echo .so $m >>$m-wrap; \
>>  done; \
>>fi
>>/bin/sh: -c: line 1: syntax error near unexpected token `;'
>>/bin/sh: -c: line 1: `if test -n ""; then  for m in ; do  rm -f $m-wrap;
>>echo .
>>cp 1 >$m-wrap;  echo .so $m >>$m-wrap;  done;  fi'
>>make[2]: *** [stamp-wrap] Error 2
>>make[1]: *** [tmac] Error 2
>>make: *** [all] Error 2
>>
>>I guess there should be something after the ... then  for m in <something
>>missing here> ... but I can't seem to find a file in the directory, or
subs,
>>which contains this piece of shell script.
>>
>>Help!
>>
>>Morph
>>
>>-
>>For help on using this list (especially unsubscribing), send a message to
>>"[email-masked]" with one line of text: "help".
>>
>>
>Larry
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".